<?php
require("../conexion.php");
include ("../funciones/fechas.php");

$cdgcli    =$_POST["cdgcli"];
$dsccli    =strtoupper($_POST["dsccli"]);
$numfac=$_POST["numfactura"];

$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 



//$numfac2=$_POST["numfac2"];

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgcli <> "") { $where.=" AND cdgcli='$cdgcli'"; }
if ($dsccli <> "") { $where.=" AND dsccli like '%".$dsccli."%'"; }
if ($numfac <> "") { $where.=" AND numfac='$numfac'"; }
if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND fecfac <='".$fechafin."'";
		}
	}
}

 $where.=" ORDER BY fecfac DESC , NUMFAC DESC";
 

 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT * FROM web_2101 WHERE  modpro ='CXC' AND ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}


?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		


		
	function ver_cxc(numfac,cdgcli) {

		parent.location.href="ver_cxc.php?numfac=" + numfac +"&cdgcli=" + cdgcli + "&cadena_busqueda=<?php echo $cadena_busqueda?>";	
}
		
	function eliminar_cxc(numfac,cdgcli) {

		parent.location.href="eliminar_cxc.php?numfac=" + numfac +"&cdgcli=" + cdgcli + "&cadena_busqueda=<?php echo $cadena_busqueda?>";	
}		
		


					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">

<?php
$contador=0;
if ( $filas > 0) {
$consulta = "SELECT * FROM web_2101 WHERE  modpro ='CXC' AND ".$where ;

if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $fecfac = $fila["FECFAC"];
		$fecfac= implode("-", array_reverse(explode("-", $fecfac)));
		$numfac = $fila["NUMFAC"];
		$cdgcli = $fila["CDGCLI"];
		$dsccli = $fila["DSCCLI"];
		$totalfactura = $fila["TOTNET"];
		$modpro = $fila["MODPRO"];
		
        $dsccli = substr($dsccli, 0, 55);  

		
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="8%"><div align="left"><?php echo $numfac ?> </div></td>
								<td width="13%" align="center"><div align="center"><?php echo $fecfac?></div></td>
								<td width="6%" align="right"><div align="left"><?php echo $cdgcli?></div></td>
								<td width="42%"><div align="left"><?php echo 	$dsccli?></div></td>	
								<td width="9%"><div align="center"><?php echo $modpro ; ?></div></td>	
                                <td width="12%"><div align="right"><?php echo number_format($totalfactura,2,".",",")?></div></td>
		
								<td width="2%">&nbsp;</td>
								<td width="4%"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" alt="im" width="25" height="25" border="0" title="imprimir" onClick="eliminar_cxc('<?php echo $numfac ?>','<?php echo $cdgcli ?>' )"></a></td>
								<td width="4%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_cxc('<?php echo  $numfac ?>','<?php echo  $cdgcli ?>' )" title="Visualizar"></a></div></td>
			  </tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay ninguna Cuenta x Cobrar que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
		  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
